<template>
  <!-- 施工图审查 -->
  <div
    class="do-jump items bgc"
    id="page9"
  >
    <!-- 标题 -->
    <div class="title">
      <span class="icon"></span>
      <span class="text">施工图审查</span>
    </div>
    <!-- 详情 -->
    <div class="table-border">
      <el-table
        :data="data"
        height="200"
        border
        style="width: 100%"
        :header-cell-style="{background: '#f2f2f2', color: '#000'}"
        @row-click="handleRowDBClick"
      >
        <el-table-column
          type="index"
          label="序号"
          width="60"
          align="center"
        >
        </el-table-column>
        <el-table-column
          prop="establishmentApprovalUnit"
          label="发证机关"
          align="center"
          :show-overflow-tooltip="true"
        >
         <template v-slot="{row}">
          <a
            class="a-link"
            >{{ row.establishmentApprovalUnit }}</a
          >
        </template>
        </el-table-column>
        <el-table-column
          prop="establishmentDate"
          label="批复日期"
          align="center"
          width="120"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        <el-table-column
          prop="preliminaryDesignNumber"
          label="初设文号"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        <el-table-column
          prop="certificateNo"
          label="合格书编号"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        <el-table-column
          prop="reviewBody"
          label="审查机构"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        <el-table-column
          prop="establishmentRemarks"
          label="备注"
          align="center"
          width="80"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
      </el-table>
      <div class="page-footer">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="pageResult.page"
          :page-sizes="[5, 10, 20, 30, 50]"
          :page-size="pageResult.pageSize"
          layout="total, sizes, prev, pager, next, jumper"
          :total="pageResult.total"
        >
        </el-pagination>
      </div>
      <el-dialog
        title="施工图审查-详情"
        :visible.sync="dialogVisible"
        width="1000px"
      >
        <table align="center">
          <tr>
            <td
              class="bgColor"
              style="width: 150px"
            >发证机关</td>
            <td style="width: 300px">
              <el-tooltip
                :content="form.establishmentApprovalUnit"
                placement="top"
              >
                <p class="descStyle">{{ form.establishmentApprovalUnit }}</p>
              </el-tooltip>
            </td>
            <td
              class="bgColor"
              style="width: 150px"
            >批复日期</td>
            <td>{{ form.establishmentDate }}</td>
          </tr>
          <tr>
            <td
              class="bgColor"
              style="width: 150px"
            >初设文号</td>
            <td>
              {{ form.preliminaryDesignNumber }}
            </td>
            <td class="bgColor">合格书编号</td>
            <td>{{ form.certificateNo }}</td>
          </tr>
          <tr>
            <td
              class="bgColor"
              style="width: 150px"
            >审查机构</td>
            <td>
              <el-tooltip
                :content="form.reviewBody"
                placement="top"
              >
                <p class="descStyle">{{ form.reviewBody }}</p>
              </el-tooltip>
            </td>
            <td
              class="bgColor"
              style="width: 150px"
            >建设单位</td>
            <td>
              <el-tooltip
                :content="form.constructionUnit"
                placement="top"
              >
                <p class="descStyle">{{ form.constructionUnit }}</p>
              </el-tooltip>
            </td>
          </tr>
          <tr>
            <td
              class="bgColor"
              style="width: 150px"
            >勘察单位</td>
            <td>
              <el-tooltip
                content="查看合同管理信息"
                placement="top"
              >
                <el-link
                  type="primary"
                  @click="handleViewDetils(form.surveyUnit)"
                >
                  <p class="descStyle">{{ form.surveyUnit }}</p>
                </el-link>
              </el-tooltip>
            </td>
            <td
              class="bgColor"
              style="width: 150px"
            >设计单位</td>
            <td>
              <el-tooltip
                content="查看合同管理信息"
                placement="top"
              >
                <el-link
                  type="primary"
                  @click="handleViewDetils(form.designUnit)"
                >
                  <p class="descStyle">{{ form.designUnit }}</p>
                </el-link>
              </el-tooltip>
            </td>
          </tr>
          <!-- <tr>
            <td class="bgColor">附件信息</td>
            <td colspan="3">
              <el-link
                type="primary"
                @click="handleLook(form.accessoryInfo)"
                v-if="form.accessoryInfo && form.accessoryInfo.length > 0"
              >查看附件({{ form.accessoryInfo.length }}个)</el-link>
              <span v-else>无</span>
            </td>
          </tr> -->
          <tr>
            <td class="bgColor">备注</td>
            <td colspan="3">{{ form.remarks }}</td>
          </tr>
        </table>
        <dialog-accessory ref="accessory" :accessoryInfo="form.accessoryInfo" />
        <div class="flexEnd">
          <div class="end">
            <!-- <span>项目名称：{{form.projectInfo && form.projectInfo.projectName}}</span> -->
            <span>{{form.projectInfo && form.projectInfo.projectManager}}</span>
            <span>{{form.projectInfo && form.projectInfo.commencementTime}}</span>
          </div>
        </div>
      </el-dialog>
      <!-- <dialog-accessory ref="accessory" /> -->
    </div>
    <contractListDialog
      :querysValue='querysValue'
      ref='contractList'
    />
  </div>
</template>
<script>
import dialogAccessory from '../dialog/dialogAccessory.vue'
import contractListDialog from '../dialog/contractListDialog.vue'
export default {
  name: 'mapExamine',
  components: {
    dialogAccessory,
    contractListDialog
  },
  data() {
    return {
      data: [], //表格数据
      pageResult: {
        page: 1,
        pageSize: 10,
        total: 0
      },
      form: {},
      dialogVisible: false,
      dialogTitle: '详情',
      querysValue: ''
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    //附件
    handleLook(obj) {
      this.$refs.accessory.open(obj)
    },
    handleSizeChange(val) {
      this.pageResult.pageSize = val
      this.loadData()
    },
    handleCurrentChange(val) {
      this.pageResult.page = val
      this.loadData()
    },
    handleRowDBClick(data) {
      this.dialogVisible = true
      this.form = data
    },
    loadData() {
      let param = {
        pageBean: {
          ...this.pageResult
        },
        querys: [
          {
            group: 'advance',
            opener: 'LIKE',
            property: 'pm.ID_',
            relation: 'AND',
            value: this.$route.params.id
          }
        ]
      }
      this.$http
        .post(
          '${cqxy}/biz/designEstimate/constructionDrawingDesign/v1/page',
          param
        )
        .then(
          resp => {
            let response = resp.data.value
            this.data = response.rows
            this.pageResult = {
              page: response.page,
              pageSize: response.pageSize,
              total: response.total
            }
          },
          error => {
            reject(error)
          }
        )
    },
    handleViewDetils(value) {
      this.querysValue = value
      this.$refs.contractList.open()
    }
  }
}
</script>
<style lang="scss" scoped>
@import '../css/projectCommon.scss';
/deep/ .el-main .content {
  padding: 0 !important;
}
.page-footer {
  padding-top: 10px;
  float: right;
  height: 38px;
}
/deep/ .el-dialog__body {
  padding-top: 10px;
}

/deep/ .el-table {
  height: calc(100% - 38px) !important;
}
.table-border {
  height: 513px;
}
</style>
